aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHonza Macháček <Hloupy.Honza@centrum.cz>2013-06-17 20:57:51 +0200
committerHonza Macháček <Hloupy.Honza@centrum.cz>2013-06-17 20:57:51 +0200
commit3f0b6eed08c88ed856a5f10ff39b134d211ebf9f (patch)
treeea2f6a45f58336f6c3e8dc3c649456c734acf3aa /sci-libs
parentVersion of bigdft bumped to 1.7_pre24, moved from sci-libs to sci-physics. No... (diff)
downloadsci-3f0b6eed08c88ed856a5f10ff39b134d211ebf9f.tar.gz
sci-3f0b6eed08c88ed856a5f10ff39b134d211ebf9f.tar.bz2
sci-3f0b6eed08c88ed856a5f10ff39b134d211ebf9f.zip
Abinit & friends upgraded to sci-physics/abinit-7.2.2. BigDFT moved from sci-libs to sci-physics, sci-physics/abinit uses sci-libs/bigdft-abi instead. Usage of LIBDIR/finclude abandoned in favour of /usr/include, as mostly used upstream. Old files cleaned up.
Diffstat (limited to 'sci-libs')
-rw-r--r--sci-libs/bigdft-abi/ChangeLog12
-rw-r--r--sci-libs/bigdft-abi/Manifest3
-rw-r--r--sci-libs/bigdft-abi/bigdft-abi-1.0.4.ebuild166
-rw-r--r--sci-libs/bigdft-abi/files/bigdft-abi-1.0.4-tests.tar.bz2bin0 -> 402968 bytes
-rw-r--r--sci-libs/etsf_io/ChangeLog9
-rw-r--r--sci-libs/etsf_io/etsf_io-1.0.3-r2.ebuild (renamed from sci-libs/etsf_io/etsf_io-1.0.3-r1.ebuild)0
-rw-r--r--sci-libs/fox/ChangeLog10
-rw-r--r--sci-libs/fox/files/4.1.2-r2-install-customizations.patch (renamed from sci-libs/fox/files/4.0.4-install-customizations.patch)0
-rw-r--r--sci-libs/fox/fox-4.1.2-r2.ebuild (renamed from sci-libs/fox/fox-4.1.2-r1.ebuild)10
-rw-r--r--sci-libs/libxc/ChangeLog11
-rw-r--r--sci-libs/libxc/libxc-1.2.0-r1.ebuild (renamed from sci-libs/libxc/libxc-1.1.0-r1.ebuild)26
-rw-r--r--sci-libs/libxc/libxc-2.0.1.ebuild (renamed from sci-libs/libxc/libxc-1.2.0.ebuild)27
-rw-r--r--sci-libs/wannier90/ChangeLog7
-rw-r--r--sci-libs/wannier90/wannier90-1.2-r1.ebuild (renamed from sci-libs/wannier90/wannier90-1.2.ebuild)0
14 files changed, 248 insertions, 33 deletions
diff --git a/sci-libs/bigdft-abi/ChangeLog b/sci-libs/bigdft-abi/ChangeLog
new file mode 100644
index 000000000..4c4800877
--- /dev/null
+++ b/sci-libs/bigdft-abi/ChangeLog
@@ -0,0 +1,12 @@
+# ChangeLog for sci-libs/bigdft-abi
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*bigdft-abi-1.0.4 (17 Jun 2013)
+
+ 17 Jun 2013; Honza Macháček <Hloupy.Honza@centrum.cz>
+ +bigdft-abi-1.0.4.ebuild, +files/bigdft-abi-1.0.4-tests.tar.bz2:
+ sci-libs/bigdft-abi-1.0.4 added. Replaces sci-libs/bigdft as a library of
+ sci-physics/abinit. Based on former sci-libs/bigdft ebuilds, usage of
+ LIBDIR/finclude abandoned in favour of /usr/include, as used upstream.
+
diff --git a/sci-libs/bigdft-abi/Manifest b/sci-libs/bigdft-abi/Manifest
new file mode 100644
index 000000000..bd17fc562
--- /dev/null
+++ b/sci-libs/bigdft-abi/Manifest
@@ -0,0 +1,3 @@
+AUX bigdft-abi-1.0.4-tests.tar.bz2 402968 SHA256 11144208456b001f63b75cadce0e9b685054ef8bbc39a76cb08af61d5c86c4fb SHA512 3594d11a8d5834916f44bf6f049630ac9d092df6a7a3171701ef65e5ab56e9d039c2bb4603698cb4935a95189c65d7bf77f44b50617ea8c971a844a2757b3202 WHIRLPOOL 492b92805a4eecb5bb204dbf76acf9a40c790b39708a914e38628a2f4dadc3377eed79f8d986231c006bc8c5be0167af60c36f72212005156e8fe3a3c619281c
+DIST bigdft-abi-1.0.4.tar.gz 8982260 SHA256 345cf49da92275710252d50b4ac8364f2f3c33e8f28d84d7b13ccf6fd0c69310 SHA512 556001d1ffd08be70b97f07a8a150d5d033a4611957180a7a25b41963754e0e3d2bb2a4e9d5b6beb8ff6fb1eb6f4ae9b51633cfe3d7f5a8ed20a85be21031c35 WHIRLPOOL b7c58732b538306f2b9b89b1310d9212cc1bb038fded782e6707e54679013ebc8376d54b5bd1bd51464dc7878fa05102fcba8f70a5d38b4571720c8d57ee3af1
+EBUILD bigdft-abi-1.0.4.ebuild 4232 SHA256 006484b64a83d7971efc05670b77d26114eed87f0d062c39e9b9bf01a4a005ce SHA512 bc34310bf3b4b3999574be8f67db51072a53b2a14fbf340edb72d046989f088b3c12b65f98a781fb5791263ce4c947786ee250dcbe4c162dcd194711321db4b5 WHIRLPOOL 28a1b685e427500acda0e210c9d2e72bbcd24bfe2be1b09112a1aab829d1efe9a896e28b45b42ec7db29c4908bc7cb3b73c83d0ad77accf9269ee9774e310537
diff --git a/sci-libs/bigdft-abi/bigdft-abi-1.0.4.ebuild b/sci-libs/bigdft-abi/bigdft-abi-1.0.4.ebuild
new file mode 100644
index 000000000..c285d6326
--- /dev/null
+++ b/sci-libs/bigdft-abi/bigdft-abi-1.0.4.ebuild
@@ -0,0 +1,166 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_5 python2_6 python2_7 )
+
+inherit autotools-utils eutils flag-o-matic fortran-2 python-any-r1 toolchain-funcs
+
+
+DESCRIPTION="A DFT electronic structure code using a wavelet basis set"
+HOMEPAGE="http://www.abinit.org/downloads/plug-in-sources"
+SRC_URI="http://forge.abinit.org/fallbacks/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE="cuda doc etsf_io mpi netcdf openmp opencl test"
+
+RDEPEND="
+ >=sci-libs/libxc-2.0.1[fortran]
+ virtual/blas
+ virtual/fortran
+ virtual/lapack
+ dev-libs/libyaml
+ mpi? ( virtual/mpi )
+ cuda? ( dev-util/nvidia-cuda-sdk )
+ opencl? ( virtual/opencl )
+ etsf_io? ( >=sci-libs/etsf_io-1.0.3-r2 )
+ netcdf? ( || (
+ sci-libs/netcdf[fortran]
+ sci-libs/netcdf-fortran
+ )
+ )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ >=sys-devel/autoconf-2.59
+ doc? ( virtual/latex-base )
+ ${PYTHON_DEPS}
+ dev-python/pyyaml[libyaml]
+ app-arch/tar
+ app-arch/gzip"
+
+DOCS=( README INSTALL ChangeLog AUTHORS NEWS )
+
+FORTRAN_STANDARD=90
+
+pkg_setup() {
+ # fortran-2.eclass does not handle mpi wrappers
+ if use mpi; then
+ export FC="mpif90"
+ export F77="mpif77"
+ export CC="mpicc"
+ else
+ tc-export FC F77 CC
+ fi
+
+ # This should be correct.
+ # It is gcc-centric because toolchain-funcs.eclass is gcc-centric.
+ # Should a bug be filed against toolchain-funcs.eclass?
+ # if use openmp; then
+ # tc-has-openmp || \
+ # die "Please select an openmp capable compiler like gcc[openmp]"
+ # fi
+ #
+ # Luckily Abinit is a fortran package.
+ # fortran-2.eclass has its own test for OpenMP support,
+ # more general than toolchain-funcs.eclass
+ # The test itself proceeds inside fortran-2_pkg_setup
+ if use openmp; then FORTRAN_NEED_OPENMP=1; fi
+
+ fortran-2_pkg_setup
+ python-any-r1_pkg_setup
+}
+
+src_prepare() {
+# epatch \
+# "${FILESDIR}"/"${P}"-nolib_mods.patch
+#
+ tar -xjf "${FILESDIR}"/"${P}"-tests.tar.bz2 -C "${S}"/tests/DFT/
+ eautoreconf
+}
+
+src_configure() {
+ local openmp=""
+ if use openmp; then
+ # based on _fortran-has-openmp() of fortran-2.eclass
+ local fcode=ebuild-openmp-flags.f
+ local _fc=$(tc-getFC)
+
+ cat <<- EOF > "${fcode}"
+ call omp_get_num_threads
+ end
+ EOF
+
+ for openmp in -fopenmp -xopenmp -openmp -mp -omp -qsmp=omp; do
+ ${_fc} ${openmp} "${fcode}" -o "${fcode}.x" && break
+ done
+
+ rm -f "${fcode}.*"
+ fi
+ local modules="${EPREFIX}/usr/include"
+# local Imodules="-I${modules}"
+ local Imodules=""
+ local netcdff_libs="-lnetcdff"
+ filter-flags '-m*' '-O*' "-pipe"
+ local nvcflags="${CFLAGS}"
+ _filter-var nvcflags '-m*' '-O*' "-pipe" "-W*"
+ local myeconfargs=(
+ $(use_enable mpi)
+ --enable-optimised-convolution
+ --enable-pseudo
+ --enable-libbigdft
+ --enable-binaries
+ --disable-minima-hopping
+ --disable-internal-libyaml
+ --enable-internal-libabinit
+ --with-moduledir="${modules}"
+ --with-ext-linalg="$($(tc-getPKG_CONFIG) --libs-only-l lapack) \
+ $($(tc-getPKG_CONFIG) --libs-only-l blas)"
+ --with-ext-linalg-path="$($(tc-getPKG_CONFIG) --libs-only-L lapack) \
+ $($(tc-getPKG_CONFIG) --libs-only-L blas)"
+ --with-libxc="yes"
+ --disable-internal-libxc
+ $(use_enable cuda cuda-gpu)
+ $(use_with cuda cuda-path /opt/cuda)
+ $(use_with cuda nvcc-flags "${nvcflags}")
+ $(use_enable opencl)
+ $(use_with etsf_io etsf-io)
+ "$(use etsf_io && echo "--with-netcdf-libs=$($(tc-getPKG_CONFIG) --libs netcdf) ${netcdff_libs}")"
+ PKG_CONFIG="$(tc-getPKG_CONFIG)"
+ FCFLAGS="${FCFLAGS} ${openmp} ${Imodules}"
+ LD="$(tc-getLD)"
+ CPP="$(tc-getCPP)"
+ )
+ autotools-utils_src_configure
+}
+
+src_compile() {
+ #autotools-utils_src_compile() expanded
+ _check_build_dir
+ pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null
+ emake -j1
+ sed -i -e's%\$(top_builddir)/[^ ]*/lib\([^ /$-]*\)\.a%-l\1%g' bigdft.pc
+ popd > /dev/null
+
+ #autotools-utils_src_compile
+ use doc && autotools-utils_src_compile doc
+}
+
+src_test() {
+ if use test; then
+ #autotools-utils_src_test() expanded
+ _check_build_dir
+ pushd "${BUILD_DIR}" > /dev/null || die
+ # Run default src_test as defined in ebuild.sh
+ cd tests
+ emake -j1 check
+ popd > /dev/null
+ fi
+}
+
+src_install() {
+ autotools-utils_src_install
+}
diff --git a/sci-libs/bigdft-abi/files/bigdft-abi-1.0.4-tests.tar.bz2 b/sci-libs/bigdft-abi/files/bigdft-abi-1.0.4-tests.tar.bz2
new file mode 100644
index 000000000..40f7ca5ac
--- /dev/null
+++ b/sci-libs/bigdft-abi/files/bigdft-abi-1.0.4-tests.tar.bz2
Binary files differ
diff --git a/sci-libs/etsf_io/ChangeLog b/sci-libs/etsf_io/ChangeLog
index 19ac5b64a..d47e36293 100644
--- a/sci-libs/etsf_io/ChangeLog
+++ b/sci-libs/etsf_io/ChangeLog
@@ -1,7 +1,14 @@
# ChangeLog for sci-libs/etsf_io
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*etsf_io-1.0.3-r2 (17 Jun 2013)
+
+ 17 Jun 2013; Honza Macháček <Hloupy.Honza@centrum.cz>
+ -etsf_io-1.0.3-r1.ebuild, +etsf_io-1.0.3-r2.ebuild:
+ Usage of LIBDIR/finclude abandoned in favour of /usr/include, as used
+ upstream.
+
*etsf_io-1.0.3-r1 (19 Jun 2012)
19 Jun 2012; Honza Macháček <Hloupy.Honza@centrum.cz>
diff --git a/sci-libs/etsf_io/etsf_io-1.0.3-r1.ebuild b/sci-libs/etsf_io/etsf_io-1.0.3-r2.ebuild
index a3c62340d..a3c62340d 100644
--- a/sci-libs/etsf_io/etsf_io-1.0.3-r1.ebuild
+++ b/sci-libs/etsf_io/etsf_io-1.0.3-r2.ebuild
diff --git a/sci-libs/fox/ChangeLog b/sci-libs/fox/ChangeLog
index 1d50ca61b..c2a4d2fc6 100644
--- a/sci-libs/fox/ChangeLog
+++ b/sci-libs/fox/ChangeLog
@@ -1,7 +1,15 @@
# ChangeLog for sci-libs/fox
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*fox-4.1.2-r2 (17 Jun 2013)
+
+ 17 Jun 2013; Honza Macháček <Hloupy.Honza@centrum.cz> -fox-4.1.2-r1.ebuild,
+ +fox-4.1.2-r2.ebuild, -files/4.0.4-install-customizations.patch,
+ +files/4.1.2-r2-install-customizations.patch:
+ Usage of LIBDIR/finclude abandoned in favour of /usr/include, as used by most
+ other packages.
+
22 Jun 2012; Alexey Shvetsov <alexxy@gentoo.org> fox-4.1.2-r1.ebuild:
[sci-libs/fox] make it prefix aware
diff --git a/sci-libs/fox/files/4.0.4-install-customizations.patch b/sci-libs/fox/files/4.1.2-r2-install-customizations.patch
index 0ea77314c..0ea77314c 100644
--- a/sci-libs/fox/files/4.0.4-install-customizations.patch
+++ b/sci-libs/fox/files/4.1.2-r2-install-customizations.patch
diff --git a/sci-libs/fox/fox-4.1.2-r1.ebuild b/sci-libs/fox/fox-4.1.2-r2.ebuild
index 20856c8da..c856fcb2c 100644
--- a/sci-libs/fox/fox-4.1.2-r1.ebuild
+++ b/sci-libs/fox/fox-4.1.2-r2.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=4
+EAPI=5
inherit eutils
@@ -30,7 +30,7 @@ S="${WORKDIR}/${MY_P}"
FORTRAN_STANDARD=90
src_prepare() {
- epatch "${FILESDIR}"/4.0.4-install-customizations.patch
+ epatch "${FILESDIR}"/4.1.2-r2-install-customizations.patch
}
src_configure() {
@@ -50,13 +50,13 @@ src_compile() {
}
src_test() {
- emake -j1 check || die "make check failed"
+ emake -j1 check || ewarn "make check failed"
einfo "Please look at the last few RESULT lines for a summary."
}
src_install() {
sed -i -e's%^comp_prefix=.*$%comp_prefix=${EPREFIX}/usr%' \
- -e's%comp_prefix/finclude%comp_prefix/lib/finclude%' \
+ -e's%comp_prefix/finclude%comp_prefix/include%' \
-e's%\$libdir/lib\([^ ]\+\)\.a\>%-l\1%g' \
-e's%\(echo\( -I"$moddir"\)\?\) \$LIBS%\1 -L"$libdir" $LIBS%' \
FoX-config
diff --git a/sci-libs/libxc/ChangeLog b/sci-libs/libxc/ChangeLog
index 291d4ae5f..4bf38b928 100644
--- a/sci-libs/libxc/ChangeLog
+++ b/sci-libs/libxc/ChangeLog
@@ -1,7 +1,16 @@
# ChangeLog for sci-libs/libxc
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*libxc-2.0.1 (17 Jun 2013)
+*libxc-1.2.0-r1 (17 Jun 2013)
+
+ 17 Jun 2013; Honza Macháček <Hloupy.Honza@centrum.cz>
+ -libxc-1.1.0-r1.ebuild, -libxc-1.2.0.ebuild, +libxc-1.2.0-r1.ebuild,
+ +libxc-2.0.1.ebuild, libxc-9999.ebuild:
+ Version bumped to 2.0.1. Usage of LIBDIR/finclude abandoned in favour of
+ /usr/include, as used upstream. Old files cleaned up.
+
22 Jun 2012; Alexey Shvetsov <alexxy@gentoo.org> libxc-1.1.0-r1.ebuild,
libxc-1.2.0.ebuild:
[sci-libs/libxc] add ~amd64-linux
diff --git a/sci-libs/libxc/libxc-1.1.0-r1.ebuild b/sci-libs/libxc/libxc-1.2.0-r1.ebuild
index 0d9fc78f4..7f4ab188d 100644
--- a/sci-libs/libxc/libxc-1.1.0-r1.ebuild
+++ b/sci-libs/libxc/libxc-1.2.0-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=4
+EAPI=5
inherit autotools-utils fortran-2 multilib
@@ -15,7 +15,7 @@ SRC_URI="http://www.tddft.org/programs/octopus/download/${PN}/${P}.tar.gz"
LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux"
-IUSE="fortran static-libs"
+IUSE="fortran static-libs -test"
S="${WORKDIR}"/${MY_P}
@@ -37,17 +37,19 @@ src_configure() {
## Upstream recommends not running the test suite because it requires
## human expert interpretation to determine whether output is an error or
## expected under certain circumstances.
-# src_test() { :; }
+# The autotools src_test function modified not to die. Runs emake check in build directory.
+src_test() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ _check_build_dir
+ pushd "${BUILD_DIR}" > /dev/null || die
+ ewarn "This will fail if any test fails, no matter how dealt with in the ebuild."
+ make check || ewarn "Make check failed. See above for details."
+ einfo "emake check done"
+ popd > /dev/null || die
+}
src_install() {
autotools-utils_src_install
- if use fortran; then
- # argument for this: --with-moduledir from etsf_io/bigdft
- insinto /usr/$(get_libdir)/finclude
- pushd "${AUTOTOOLS_BUILD_DIR}"/src >/dev/null
- doins *.mod || die
- rm -f "${D}"/usr/include/*.mod || die
- popd >/dev/null
- fi
}
diff --git a/sci-libs/libxc/libxc-1.2.0.ebuild b/sci-libs/libxc/libxc-2.0.1.ebuild
index 0d9fc78f4..47b17a3da 100644
--- a/sci-libs/libxc/libxc-1.2.0.ebuild
+++ b/sci-libs/libxc/libxc-2.0.1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=4
+EAPI=5
inherit autotools-utils fortran-2 multilib
@@ -15,7 +15,7 @@ SRC_URI="http://www.tddft.org/programs/octopus/download/${PN}/${P}.tar.gz"
LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux"
-IUSE="fortran static-libs"
+IUSE="fortran static-libs -test"
S="${WORKDIR}"/${MY_P}
@@ -36,18 +36,19 @@ src_configure() {
## Upstream recommends not running the test suite because it requires
## human expert interpretation to determine whether output is an error or
-## expected under certain circumstances.
-# src_test() { :; }
+## expected under certain circumstances. Nevertheless, experts might want the option.
+# The autotools src_test function modified not to die. Runs emake check in build directory.
+src_test() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ _check_build_dir
+ pushd "${BUILD_DIR}" > /dev/null || die
+ make check || ewarn "Make check failed. See above for details."
+ einfo "emake check done"
+ popd > /dev/null || die
+}
src_install() {
autotools-utils_src_install
- if use fortran; then
- # argument for this: --with-moduledir from etsf_io/bigdft
- insinto /usr/$(get_libdir)/finclude
- pushd "${AUTOTOOLS_BUILD_DIR}"/src >/dev/null
- doins *.mod || die
- rm -f "${D}"/usr/include/*.mod || die
- popd >/dev/null
- fi
}
diff --git a/sci-libs/wannier90/ChangeLog b/sci-libs/wannier90/ChangeLog
index dfe5c7a0c..bb0da8817 100644
--- a/sci-libs/wannier90/ChangeLog
+++ b/sci-libs/wannier90/ChangeLog
@@ -2,6 +2,13 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*wannier90-1.2-r1 (17 Jun 2013)
+
+ 17 Jun 2013; Honza Macháček <Hloupy.Honza@centrum.cz>
+ -wannier90-1.2.ebuild, +wannier90-1.2-r1.ebuild:
+ Usage of LIBDIR/finclude abandoned in favour of /usr/include, as used by most
+ packages.
+
22 Feb 2013; Justin Lecher <jlec@gentoo.org> wannier90-1.2.ebuild,
metadata.xml:
Use tc-getPKG_CONFIG from toolchain-funcs.eclass instead of plain pkg-config;
diff --git a/sci-libs/wannier90/wannier90-1.2.ebuild b/sci-libs/wannier90/wannier90-1.2-r1.ebuild
index 252792245..252792245 100644
--- a/sci-libs/wannier90/wannier90-1.2.ebuild
+++ b/sci-libs/wannier90/wannier90-1.2-r1.ebuild